Arista drivers for ML2 and L3 Service Plugin
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

requirements.txt 963B

12345678910111213141516171819202122232425
  1. # The order of packages is significant, because pip processes them in the order
  2. # of appearance. Changing the order has an impact on the overall integration
  3. # process, which may cause wedges in the gate later.
  4. pbr>=4.0.0 # Apache-2.0
  5. alembic>=0.8.10 # MIT
  6. neutron-lib>=1.25.0 # Apache-2.0
  7. oslo.i18n>=3.15.3 # Apache-2.0
  8. oslo.config>=5.2.0 # Apache-2.0
  9. oslo.log>=3.36.0 # Apache-2.0
  10. oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
  11. oslo.utils>=3.33.0 # Apache-2.0
  12. requests>=2.14.2 # Apache-2.0
  13. six>=1.10.0 # MIT
  14. SQLAlchemy>=1.2.0 # MIT
  15. # These repos are installed from git in OpenStack CI if the job
  16. # configures them as required-projects
  17. neutron # Apache-2.0
  18. # The comment below indicates this project repo is current with neutron-lib
  19. # and should receive neutron-lib consumption patches as they are released
  20. # in neutron-lib. It also implies the project will stay current with TC
  21. # and infra initiatives ensuring consumption patches can land.
  22. # neutron-lib-current